namespace uniflash.programs {
    export abstract class ProgramProvider {

        constructor(
            public buttonText: string,
            public description: string,
            public icon: string,
            public type: string,
            private ticFileDialogs: ti_common.file.IFileDialogs,
            public tooltipText: string
        ) { }

        selectProgramFile(ext: string) {
            return this.ticFileDialogs.openFile('Select Image', ext, 'Images');
        }
    }
}